package com.nokia.service;

import java.util.List;
import java.util.Map;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import com.nokia.vo.flow.UserTreeReq;

@SpringBootTest
public class FlowServiceTest {
    @Autowired
    private FlowService service;

    @Test
    void testFindAuthorizedUser() {

    }

    @Test
    void testFindRoleIdByUserId() {

    }

    @Test
    void testFindRoleList() {

    }

    @Test
    void testFindRoleList2() {

    }

    @Test
    void testFindToPage() {

    }

    @Test
    void testFindUserIdByRoleId() {

    }

    @Test
    void testGetByLoginId() {

    }

    @Test
    void testGetByUserId() {

    }

    @Test
    void testGetRoleCityByUserId() {

    }

    @Test
    void testGetUserTree() {
        UserTreeReq req = new UserTreeReq();
        req.setCity(130300);
        req.getRole().add(6);
        List<Map<String, Object>> userTree = service.getUserTree(req);
        System.out.println(userTree);
    }
}
